# neeto-playwright-commons

A library that packages common boilerplate Playwright code necessary for all
neeto products.

## Installation Instructions

Install from npm:

```bash
yarn add "@bigbinary/neeto-playwright-commons@latest"
```

## Usage

You can import the utility functions and constants from the
`@bigbinary/neeto-playwright-commons` wherever required.

```js
import { COMMON_SELECTORS } from "@bigbinary/neeto-playwright-common";
```

## Exported Functions

- [Common default configurations](./docs/default-configurations.md)
- [Custom commands](./docs/custom-commands.md)
- [Util functions](./docs/util-functions.md)
- [Selectors and texts](./docs/selectors-and-texts.md)

## Other references

- [Development instructions](./docs/general/development-instructions.md)
- [Building and releasing](./docs/general/building-and-releasing.md)
